import wx from 'weixin-jsapi'
// 扫一扫
export function SM(Vue) {
  return new Promise((resolve, reject) => {
    let param = {
      requestUrl: location.href.split('#')[0]
    };
    Vue.$http.post("service/wechat/getJsConfig", param).then(res => {
      res = res.data;
      if (res) {
        wx.config({
          debug: false, // 开启调试模式,调用的所有api的返回值会在客户端alert出来，若要查看传入的参数，可以在pc端打开，参数信息会通过log打出，仅在pc端时才会打印。
          appId: res.appId, // 必填，企业号的唯一标识，此处填写企业号corpid
          timestamp: res.timestamp, // 必填，生成签名的时间戳
          nonceStr: res.nonceStr, // 必填，生成签名的随机串
          signature: res.signature, // 必填，签名，见附录1
          jsApiList: res.jsApiList // 必填，需要使用的JS接口列表，所有JS接口列表见附录2
        });
        wx.ready(function () {
          wx.scanQRCode({
            desc: "scanQRCode desc",
            needResult: 1, // 默认为0，扫描结果由微信处理，1则直接返回扫描结果，
            scanType: ["qrCode", "barCode"], // 可以指定扫二维码还是一维码，默认二者都有
            success: function (res) {
              // 当needResult 为 1 时，扫码返回的结果
              let str = res.resultStr.replace(/[\s\/]/g, '') || 'none';
              resolve(str);
            }
          });
        });
      }
    })
  });
}
// 获取地理位置
export function GL(Vue) {
  return new Promise((resolve, reject) => {
    let param = {
      requestUrl: location.href.split('#')[0]
    };
    Vue.$http.post("service/wechat/getJsConfig", param).then(res => {
      res = res.data;
      if (res) {
        wx.config({
          debug: false, // 开启调试模式,调用的所有api的返回值会在客户端alert出来，若要查看传入的参数，可以在pc端打开，参数信息会通过log打出，仅在pc端时才会打印。
          appId: res.appId, // 必填，企业号的唯一标识，此处填写企业号corpid
          timestamp: res.timestamp, // 必填，生成签名的时间戳
          nonceStr: res.nonceStr, // 必填，生成签名的随机串
          signature: res.signature, // 必填，签名，见附录1
          jsApiList: res.jsApiList // 必填，需要使用的JS接口列表，所有JS接口列表见附录2
        });
        wx.ready(function () {
          wx.getLocation({
            type: 'gcj02', // 默认为wgs84的gps坐标，如果要返回直接给openLocation用的火星坐标，可传入'gcj02'
            success: function (res) {
              resolve(res);
            }
          })
        });
      }
    })
  });
}
